package com.ailanyin.admin.service;

import com.ailanyin.model.HxDangerousPlace;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 15:31
 */
public interface HxDangerousPlaceService {

    /**
     * 查询危险场所
     *
     * @param hxDangerousPlace hxDangerousPlace
     * @return list
     */
    List<HxDangerousPlace> selectHxDangerousPlaceList(HxDangerousPlace hxDangerousPlace);

    /**
     * 导入数据
     *
     * @param list list
     */
    void importData(List<HxDangerousPlace> list);

    /**
     * 获取大屏
     *
     * @return map
     * */
    List<Map> getDangerPlaceBigPic();

}
