package com.ailanyin.admin.service;

import com.ailanyin.model.HxDangerousSource;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 16:10
 */
public interface HxDangerousSourceService {

    /**
     * 查询危险源列表
     *
     * @param hxDangerousSource hxDangerousSource
     * @return list
     */
    List<HxDangerousSource> selectHxDangerousSourceList(HxDangerousSource hxDangerousSource);

    /**
     * 导入数据
     *
     * @param list list
     */
    void importData(List<HxDangerousSource> list);

    /**
     * 获取大图
     *
     * @return map
     */
    Map getDangerSourceBigPic();

}
