package com.ailanyin.admin.service;

import com.ailanyin.model.HxDangerousWork;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:44
 */
public interface HxDangerousWorkService {

    /**
     * 查询危险作业列表
     *
     * @param hxDangerousWork hxDangerousWork
     * @return list
     */
    List<HxDangerousWork> selectHxDangerousWorkList(HxDangerousWork hxDangerousWork);

    /**
     * 导入
     *
     * @param list list
     */
    void importData(List<HxDangerousWork> list);

    /**
     * 获取大图
     *
     * @param type 类型 1=周 2=月
     * @return map
     */
    List<HxDangerousWork> getDangerousWorkBigPic(String type);

}
