package com.ailanyin.admin.service;

import com.ailanyin.model.HxHiddenDanger;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:07
 */
public interface HxHiddenDangerService {

    /**
     * 查询安全隐患列表
     *
     * @param hxHiddenDanger hxHiddenDanger
     * @return list
     */
    List<HxHiddenDanger> selectHxHiddenDangerList(HxHiddenDanger hxHiddenDanger);

    /**
     * 导入
     *
     * @param list list
     */
    void importData(List<HxHiddenDanger> list);

    /**
     * 大图
     *
     * @param type 1车间/=2总厂
     * @return map
     */
    Map getHiddenDangerBigPic(String type);

    /**
     * 安全隐患整改情况图
     *
     * @return list
     */
    List<Map> getWorkshopHiddenDangerBigPic();


}
