package com.ailanyin.admin.service;

import com.ailanyin.model.HxProductCompletionOverview;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/7 0007 上午 10:30
 */
public interface HxProductCompletionOverviewService {

    /**
     * 红峡交付产品完成概况列表
     *
     * @param completionOverview 查询条件
     * @return list
     */
    List<HxProductCompletionOverview> selectHxProductCompletionOverviewList(HxProductCompletionOverview completionOverview);

    /**
     * Excel导入数据 不存在新增，存在更新
     *
     * @param list list
     */
    void importData(List<HxProductCompletionOverview> list);

    /**
     * 删除红峡交付产品完成概况
     *
     * @param id id
     */
    void delHxProductCompletionOverviewById(Long id);
}
