package com.ailanyin.common.constant;

/**
 * 错误码
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/2 0006 下午 17:56
 */
public interface IErrorCode {

    /**
     * 获取code
     *
     * @return code
     */
    long getCode();

    /**
     * code的具体含义
     *
     * @return msg
     */
    String getMessage();
}
