package com.ailanyin.common.exception;


import com.ailanyin.common.constant.IErrorCode;

/**
 * 用于抛出各种异常
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021-08-31
 */
public class Asserts {
    public static void fail(String message) {
        throw new ApiException(message);
    }

    public static void fail(IErrorCode errorCode) {
        throw new ApiException(errorCode);
    }
}
