package com.ailanyin.mapper;


import com.ailanyin.model.ExceptionLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/11/2 0002 下午 17:21
 */
public interface ExceptionLogMapper {

    /**
     * 新增异常
     *
     * @param exceptionLog exceptionLog
     */
    void insertExceptionLog(ExceptionLog exceptionLog);

    /**
     * 批量删除异常
     *
     * @param logIds ids
     */
    void deleteBatchIds(@Param("ids") List<String> logIds);

    /**
     * 条件查询
     *
     * @param exceptionLog exceptionLog
     * @return list
     */
    List<ExceptionLog> selectListByParam(ExceptionLog exceptionLog);
}
