package com.ailanyin.mapper;

import com.ailanyin.model.HxDangerousWork;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:44
 */
public interface HxDangerousWorkMapper {

    /**
     * 查询危险作业列表
     *
     * @param hxDangerousWork hxDangerousWork
     * @return list
     */
    List<HxDangerousWork> selectHxDangerousWorkList(HxDangerousWork hxDangerousWork);

    /**
     * 新增
     *
     * @param hxDangerousWork hxDangerousWork
     */
    void insertSelective(HxDangerousWork hxDangerousWork);

    /**
     * 时间区间查询
     *
     * @param handleDate 区间
     * @return
     */
    List<HxDangerousWork> selectByTime(Map handleDate);

}
