package com.ailanyin.mapper;


import com.ailanyin.model.SysBlacklistUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/11/1 0001 下午 15:08
 */
public interface SysBlacklistUserMapper {

    /**
     * 新增黑名单
     *
     * @param blacklistUser 黑名单
     */
    void insertBlacklistUser(SysBlacklistUser blacklistUser);

    /**
     * 批量删除黑名单
     *
     * @param idList idList
     */
    void deleteBatchIds(@Param("ids") List<String> idList);

    /**
     * 条件查询
     *
     * @param blacklistUser blacklistUser
     * @return list
     */
    List<SysBlacklistUser> selectByParam(SysBlacklistUser blacklistUser);
}
