package com.ailanyin.mapper;


import com.ailanyin.model.SysLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/28 0028 下午 14:51
 */
public interface SysLogMapper {

    /**
     * 批量删除日志
     *
     * @param logIds logIds
     */
    void deleteBatchIds(@Param("ids") List<String> logIds);

    /**
     * 条件查询
     *
     * @param sysLog sysLog
     * @return list
     */
    List<SysLog> selectByParam(SysLog sysLog);

    /**
     * 新增日志
     *
     * @param sysLog log
     */
    void insertLog(SysLog sysLog);

}
