package com.ailanyin.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 每月装药量
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/6 0006 下午 13:55
 */
@Data
public class HxChargeQuantity implements Serializable {

    private Long id;

    @ApiModelProperty(value = "实际装药量")
    private String actualQuantity;
    @ApiModelProperty(value = "目标装药量")
    private String targetQuantity;
    @ApiModelProperty(value = "预测装药量")
    private String forecastQuantity;
    @ApiModelProperty(value = "月份")
    private String month;
    @ApiModelProperty(value = "目标完成率")
    private String targetCompletionRate;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
