package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 危险源
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 16:04
 */
@Data
public class HxDangerousSource implements Serializable {

    private Long id;

    @ApiModelProperty(value = "危险源名称")
    @Excel(name = "危险源名称", width = 20)
    private String sourceName;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "等级")
    @Excel(name = "等级", width = 20)
    private String level;

    @ApiModelProperty(value = "运行状态")
    @Excel(name = "运行状态", width = 20)
    private String status;

    @ApiModelProperty(value = "视频流地址")
    private String rtmpAddress;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
