package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:41
 */
@Data
public class HxDangerousWork implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "作业内容")
    @Excel(name = "作业内容", width = 20)
    private String workContent;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
