package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 11:21
 */
@Data
public class HxQualityInspectAnalysis implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "问题数")
    @Excel(name = "问题数", width = 20)
    private String problemTotal;

    @ApiModelProperty(value = "完成数")
    @Excel(name = "完成数", width = 20)
    private String completedTotal;

    @ApiModelProperty(value = "完成率")
    @Excel(name = "完成率", width = 20)
    private String completedRate;

    private static final long serialVersionUID = 1L;
}
