package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * spc
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:54
 */
@Data
public class HxSpcInfo implements Serializable {

    private Long id;

    @ApiModelProperty(value = "SPC参数")
    @Excel(name = "SPC参数", width = 20)
    private String spcName;

    @ApiModelProperty(value = "关键参数类别")
    @Excel(name = "关键参数类别", width = 20)
    private String paramCategory;

    @ApiModelProperty(value = "产品实物")
    @Excel(name = "产品实物", width = 20)
    private String product;

    @ApiModelProperty(value = "控制上限")
    @Excel(name = "控制上限", width = 20)
    private String upperLimit;

    @ApiModelProperty(value = "控制下限")
    @Excel(name = "控制下限", width = 20)
    private String lowerLimit;

    @ApiModelProperty(value = "中心线")
    @Excel(name = "中心线", width = 20)
    private String centerLine;

    private static final long serialVersionUID = 1L;

}
