### 环境：

​	jdk17 + mysql8 + redis （推荐）

​	jdk8 + mysql5.7 + redis （理论也能跑）



### 启动：

0. 以上的环境已经准备ok

 1. 创建 ailanyin-boot 数据库，并导入项目 doc 目录下的 ailanyin-boot.sql

 2. 修改 application-dev.yml 下的 mysql 账号密码

 3. 默认 redis 没有密码，如果你的 redis 有密码，也一并更改

 4. 启动 ailanyin-admin 模块下的 AdminApplication	

    

### 约定（强制）:

 1. 增加--POST，修改--PUT，删除--DELETE，查询--GET

 2. 用户错误操作，请不要 new RuntimeException，使用Asserts.fail(msg(String));  

     

### 说明（必看）：

 	1. 操作日志的开关，以及级别在参数设置里面，默认是开，记录修改删除（PUT-DELETE）
 	2. 是否开启注册，在参数设置里面
 	3. 是否开启验证码，在参数设置里面 （目前是有效期 2 分钟，代码可改）
 	4. 是否开启拉黑机制，在参数设置里面（目前是 30 分钟内输出 5 次密码拉黑，代码可改）