package com.ailanyin.admin;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/15 0015 下午 13:01
 */
@SpringBootApplication
@ComponentScan(basePackages = {"com.ailanyin.admin","com.ailanyin.common"})
@MapperScan({"com.ailanyin.mapper"})
@EnableScheduling
public class AdminApplication {
    public static void main(String[] args) {
        SpringApplication.run(AdminApplication.class, args);
    }
}
