package com.ailanyin.admin.service;

import com.ailanyin.model.ExceptionLog;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/11/2 0002 下午 17:23
 */
public interface ExceptionLogService {

    /**
     * 查询异常信息列表
     *
     * @param exceptionLog exceptionLog
     * @return list
     */
    List<ExceptionLog> selectExceptionLog(ExceptionLog exceptionLog);

    /**
     * 新增异常
     *
     * @param exceptionLog exceptionLog
     */
    void insertExceptionLog(ExceptionLog exceptionLog);

    /**
     * 新增异常
     *
     * @param exception exception
     */
    void insertExceptionLog(Exception exception);

    /**
     * 批量删除异常日志
     *
     * @param logIds ids
     */
    void removeExceptionLog(List<String> logIds);
}
