package com.ailanyin.admin.service;

import com.ailanyin.model.HxDangerousPoint;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 15:44
 */
public interface HxDangerousPointService {

    /**
     * 查询危险点列表
     *
     * @param hxDangerousPoint hxDangerousPoint
     * @return list
     */
    List<HxDangerousPoint> selectHxDangerousPointList(HxDangerousPoint hxDangerousPoint);

    /**
     * 导入数据
     *
     * @param list list
     */
    void importData(List<HxDangerousPoint> list);

    /**
     * 获取大图
     *
     * @return map
     */
    Map getDangerPointBigPic();

    /**
     * 中间危险点地图
     *
     * @return map
     */
    Map getDangerousMapBigPic();

}
