package com.ailanyin.admin.service;

import com.ailanyin.model.HxDict;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/6 0006 上午 10:08
 */
public interface HxDictService {

    /**
     * 获取红峡父节点列表
     *
     * @param hxDict 查询条件
     * @return list
     */
    List<HxDict> selectHxDictParentList(HxDict hxDict);

    /**
     * 添加红峡字典
     *
     * @param hxDict hxDict
     */
    void addHxDictType(HxDict hxDict);

    /**
     * 删除红峡字典
     *
     * @param hxDictId id
     */
    void delHxDictTypeById(Long hxDictId);

    /**
     * 修改红峡字典
     *
     * @param hxDict hxDict
     */
    void updateHxDictType(HxDict hxDict);
}
