package com.ailanyin.admin.service;

import com.ailanyin.model.HxProductionResponsibility;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 上午 9:05
 */
public interface HxProductionResponsibilityService {

    /**
     * 查询责任令列表
     *
     * @param productionResponsibility 条件
     * @return list
     */
    List<HxProductionResponsibility> selectHxProductionResponsibilityList(HxProductionResponsibility productionResponsibility);

    /**
     * 导入数据
     *
     * @param list list
     */
    void importData(List<HxProductionResponsibility> list);
}
