package com.ailanyin.admin.service;

import com.ailanyin.model.SysBlacklistUser;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/11/1 0001 下午 15:14
 */
public interface SysBlacklistUserService {

    /**
     * 获取黑名单列表
     *
     * @param blacklistUser blacklistUser
     * @return list
     */
    List<SysBlacklistUser> selectBlackList(SysBlacklistUser blacklistUser);

    /**
     * 批量删除日志
     *
     * @param ids ids
     */
    void removeBlacklistUser(List<SysBlacklistUser> ids);

    /**
     * 新增黑名单
     *
     * @param blacklistUser blacklistUser
     */
    void insertBlacklistUser(SysBlacklistUser blacklistUser);
}
