package com.ailanyin.admin.service;

import com.ailanyin.model.SysLog;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/28 0028 下午 14:46
 */
public interface SysLogService {

    /**
     * 新增日志
     *
     * @param sysLog log
     */
    void insertLog(SysLog sysLog);

    /**
     * 分页获取日志列表
     *
     * @param sysLog sysLog
     * @return list
     */
    List<SysLog> list(SysLog sysLog);

    /**
     * 清空日志
     */
    void cleanLog();

    /**
     * 批量删除日志
     *
     * @param logIds ids
     */
    void removeLog(List<String> logIds);
}
