package com.ailanyin.admin.service;

import com.ailanyin.model.SysUser;

import java.util.Set;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/15 0015 下午 15:56
 */
public interface SysPermissionService {

    /**
     * 获取角色权限
     *
     * @param user user
     * @return 字符串集合
     */
    Set<String> getRolePermission(SysUser user);

    /**
     * 获取菜单权限
     *
     * @param user user
     * @return 字符串集合
     */
    Set<String> getMenuPermission(SysUser user);
}
