package com.ailanyin.common.enums;

/**
 * 用户状态枚举
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/2 0004 下午 17:46
 */
public enum UserEnum {
    /**
     * OK("0", "正常"), DISABLE("1", "停用"), DELETED("2", "删除")
     */
    OK("0", "正常"), DISABLE("1", "停用"), DELETED("2", "删除");

    private final String code;
    private final String info;

    UserEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
