package com.ailanyin.mapper;

import com.ailanyin.model.HxDangerousPlace;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 15:33
 */
public interface HxDangerousPlaceMapper {

    /**
     * 查询危险场所
     *
     * @param hxDangerousPlace hxDangerousPlace
     * @return list
     */
    List<HxDangerousPlace> selectHxDangerousPlaceList(HxDangerousPlace hxDangerousPlace);

    /**
     * 检查名称是否存在
     *
     * @param placeName name
     * @return 数量
     */
    int checkNameIsExist(String placeName);

    /**
     * 新增
     *
     * @param hxDangerousPlace
     */
    void insertSelective(HxDangerousPlace hxDangerousPlace);

    /**
     * 更新
     *
     * @param hxDangerousPlace
     */
    void updateByNameSelective(HxDangerousPlace hxDangerousPlace);

    /**
     * 大屏危险作业场所压减
     *
     * @param placeLevelParentId
     * @return
     */
    List<Map> selectSumByType(String placeLevelParentId);
}
