package com.ailanyin.mapper;

import com.ailanyin.model.HxQualityPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 16:47
 */
public interface HxQualityPlanMapper {

    /**
     * 检查是否存在
     *
     * @param deptName
     * @param month
     * @return
     */
    int checkIsExist(@Param("deptName") String deptName, @Param("month") String month);

    /**
     * 更新
     *
     * @param hxQualityPlan
     */
    void updateByDeptAndMonth(HxQualityPlan hxQualityPlan);

    /**
     * 新增
     *
     * @param hxQualityPlan
     */
    void insertSelective(HxQualityPlan hxQualityPlan);

    /**
     * 查询
     *
     * @param hxQualityPlan
     * @return
     */
    List<HxQualityPlan> selectHxQualityPlanList(HxQualityPlan hxQualityPlan);
}
