package com.ailanyin.mapper;

import com.ailanyin.model.HxTodayDynamic;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 上午 11:22
 */
public interface HxTodayDynamicMapper {

    /**
     * 今日动态列表
     *
     * @param hxTodayDynamic hxTodayDynamic
     * @return list
     */
    List<HxTodayDynamic> selectHxTodayDynamicList(HxTodayDynamic hxTodayDynamic);

    /**
     * 检查某天动态是否已经存在
     *
     * @param todayDate 日期
     * @return 数量
     */
    int checkTodayDynamicIsExist(String todayDate);

    /**
     * 更新
     *
     * @param hxTodayDynamic hxTodayDynamic
     */
    void updateByTodayDateSelective(HxTodayDynamic hxTodayDynamic);

    /**
     * 新增
     *
     * @param hxTodayDynamic hxTodayDynamic
     */
    void insertSelective(HxTodayDynamic hxTodayDynamic);

}
