package com.ailanyin.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/11/2 0002 下午 17:08
 */
@Data
public class ExceptionLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    private String exceptionId;

    @ApiModelProperty(value = "异常原因")
    private String exceptionReason;

    @ApiModelProperty(value = "堆栈信息")
    private String detailInfo;

    @ApiModelProperty(value = "异常时间")
    private Date createTime;
}
