package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 15:19
 */
@Data
public class HxDangerousPlace implements Serializable {

    private Long id;

    @ApiModelProperty(value = "危险场所名称")
    @Excel(name = "危险场所名称", width = 20)
    private String placeName;

    @ApiModelProperty(value = "类型")
    @Excel(name = "类型", width = 20)
    private String placeType;

    @ApiModelProperty(value = "初始数量")
    @Excel(name = "初始数量", width = 20)
    private String initTotal;

    @ApiModelProperty(value = "现有数量")
    @Excel(name = "现有数量", width = 20)
    private String nowTotal;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private static final long serialVersionUID = 1L;
}
