package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 危险点
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 15:41
 */
@Data
public class HxDangerousPoint implements Serializable {

    private Long id;

    @ApiModelProperty(value = "危险点名称")
    @Excel(name = "危险点名称", width = 20)
    private String pointName;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "等级")
    @Excel(name = "等级", width = 20)
    private String level;

    @ApiModelProperty(value = "运行状态")
    @Excel(name = "运行状态", width = 20)
    private String status;

    @ApiModelProperty(value = "横坐标")
    @Excel(name = "横坐标", width = 20)
    private String abscissa;

    @ApiModelProperty(value = "纵坐标")
    @Excel(name = "纵坐标", width = 20)
    private String ordinate;

    @ApiModelProperty(value = "视频流地址")
    @Excel(name = "视频流rtmp地址", width = 20)
    private String rtmpAddress;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
