package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:03
 */
@Data
public class HxHiddenDanger implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "车间名称")
    @Excel(name = "车间名称", width = 20)
    private String workshopName;

    @ApiModelProperty(value = "隐患内容")
    @Excel(name = "隐患内容", width = 20)
    private String dangerContent;

    @ApiModelProperty(value = "类别")
    @Excel(name = "类别", width = 20)
    private String category;

    @ApiModelProperty(value = "措施")
    @Excel(name = "措施", width = 20)
    private String measures;

    @ApiModelProperty(value = "责任人")
    @Excel(name = "责任人", width = 20)
    private String personLiable;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
