package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 生产责任令
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/7 0007 上午 10:09
 */
@Data
public class HxProductionResponsibility implements Serializable {

    private Long id;

    @ApiModelProperty(value = "型号名称")
    @Excel(name = "型号名称", width = 20)
    private String translateName;

    @ApiModelProperty(value = "已完成任务数")
    @Excel(name = "已完成任务数", width = 20)
    private String completedTaskNumber;

    @ApiModelProperty(value = "目标完成数")
    @Excel(name = "目标完成数", width = 20)
    private String targetTaskNumber;

    @ApiModelProperty(value = "完成率")
    @Excel(name = "完成率", width = 20)
    private String completionRate;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    private Date createTime;

    private static final long serialVersionUID = 1L;


}
