package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 质量计划
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 16:41
 */
@Data
public class HxQualityPlan implements Serializable {


    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "计划数")
    @Excel(name = "计划数", width = 20)
    private String planNumber;

    @ApiModelProperty(value = "完成数")
    @Excel(name = "完成数", width = 20)
    private String completeNumber;

    @ApiModelProperty(value = "完成率")
    @Excel(name = "完成率", width = 20)
    private String completeRate;

    private static final long serialVersionUID = 1L;

}
