package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 质量问题
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 下午 15:06
 */
@Data
public class HxQualityProblem  implements Serializable {

    private Long id;

    @ApiModelProperty(value = "维度")
    @Excel(name = "维度(填数字)", width = 20)
    private Integer dimension;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "名称")
    @Excel(name = "名称", width = 20)
    private String name;

    @ApiModelProperty(value = "问题总数")
    @Excel(name = "问题总数", width = 20)
    private String problemTotal;

    @ApiModelProperty(value = "完成总数")
    @Excel(name = "完成总数", width = 20)
    private String completedTotal;

    @ApiModelProperty(value = "完成率")
    @Excel(name = "完成率", width = 20)
    private String completeRate;

    private static final long serialVersionUID = 1L;

}
