package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 视频系统
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 8:58
 */
@Data
public class HxVideoSystem implements Serializable {

    private Long id;

    @ApiModelProperty(value = "视频点名称")
    @Excel(name = "视频点名称", width = 20)
    private String videoName;

    @ApiModelProperty(value = "视频点地址")
    @Excel(name = "视频点地址", width = 20)
    private String videoAddress;

    @ApiModelProperty(value = "实况信息")
    @Excel(name = "实况信息", width = 20)
    private String videoNowInfo;

    @ApiModelProperty(value = "视频点备注")
    @Excel(name = "视频点备注", width = 20)
    private String videoRemark;

    private static final long serialVersionUID = 1L;
}
